Subject: Re: linux-next: manual merge of the counter-next tree with the ti tree

From: William Breathitt Gray <[email-masked]>
Date: Mon, 1 Jul 2024 19:08:53 +0900

On Mon, Jul 01, 2024 at 12:58:28PM +0530, Vignesh Raghavendra wrote:
> Hi Will,
> 
> On 01/07/24 12:07, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the counter-next tree got a conflict in:
> > 
> >   arch/arm64/boot/dts/ti/k3-am62p-main.dtsi
> > 
> > between commits:
> > 
> >   3ad6579f106d ("arm64: dts: ti: am62p: Rename am62p-{}.dtsi to am62p-j722s-common-{}.dtsi")
> >   77044cfb9346 ("arm64: dts: ti: k3-am62p-j722s: Move AM62P specific USB1 to am62p-main.dtsi")
> >   ed07d82f9e3e ("arm64: dts: ti: k3-am62p-j722s: Move SoC-specific node properties")
> >   84935117f25f ("arm64: dts: ti: k3-am62p: Add gpio-ranges properties")
> > 
> > from the ti tree and commit:
> > 
> >   131eaf47c4c5 ("arm64: dts: ti: k3-am62p-main: Add eQEP nodes")
> 
> Could you please drop from your tree "arm64: dts: ti: .." patches, these need to go via TI SoC/arm64 tree. 
> 
> In particular
> 
> 7fb9d8854fcf(Judith Mendez)6 hours ago  arm64: dts: ti: k3-am64x-sk: Enable eQEP
> afdfe6439a6d(Judith Mendez)6 hours ago  arm64: dts: ti: k3-am64-main: Add eQEP nodes
> 131eaf47c4c5(Judith Mendez)6 hours ago  arm64: dts: ti: k3-am62p-main: Add eQEP nodes
> ba5a251b1d53(Judith Mendez)6 hours ago  arm64: dts: ti: k3-am62a-main: Add eQEP nodes
> e2e1fce199b0(Judith Mendez)6 hours ago  arm64: dts: ti: k3-am62-main: Add eQEP nodes
> 
> Thanks!
> 
> > 
> > from the counter-next tree.
> > 
> > I don't know how to fix this up, so I just dropped the latter chanhd
> > for now.
> > 
> 
> 
> -- 
> Regards
> Vignesh

Hi Vignesh,

I have now dropped the "arm64: dts: ti: ..." patches from my
counter-next tree, I retained just the counter patches.

Thanks,

William Breathitt Gray